Bug 1439357 - Entering Ansible Repository Incorrectly does not provide feedback that creation fails
Summary: Entering Ansible Repository Incorrectly does not provide feedback that creati...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: James Wong
QA Contact: Pavol Kotvan
URL:
Whiteboard:
Depends On:
Blocks: 1440903 1443096
TreeView+ depends on / blocked
 
Reported: 2017-04-05 19:22 UTC by Jon Jozwiak
Modified: 2018-03-14 09:30 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1440903 1443096 (view as bug list)
Environment:
Last Closed: 2018-03-06 14:51:00 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Jon Jozwiak 2017-04-05 19:22:10 UTC
Description of problem:
If you enter an invalid Ansible git repo within CloudForms, it does not show any failure within CloudForms 

Version-Release number of selected component (if applicable):
5.8.0.9-1

How reproducible:
Always

Steps to Reproduce:
1. In CF, go to Automation->Ansible->Repositories
2. Configuration -> Add New Repository
3. Enter the following values:
   Name: Test
   Description: Test
   URL: https://github.com/invalidurl
4. (optional) check 'Update on Launch' 


Actual results:
You get no errors.  The repository is created, but no error is returned to cloudforms saying the refresh of the git repo has failed.  

Expected results:
We should have an error reported in the CloudForms UI stating that the git refresh has failed  

Additional info:

Comment 4 James Wong 2017-04-10 17:50:07 UTC
PR for backend changes: https://github.com/ManageIQ/manageiq/pull/14687

(UI side changes being tracked in https://bugzilla.redhat.com/show_bug.cgi?id=1440903)

Comment 5 James Wong 2017-04-17 16:10:04 UTC
PR https://github.com/ManageIQ/manageiq/pull/14687 merged.


Note You need to log in before you can comment on or make changes to this bug.